Retrieve open projects for which the current user has at least one task assigned. Optionally filter by project name.
GET
/data/user/projects/open
curl
curl -X GET "http://api.example.com/data/user/projects/open?name=My%20Project" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/user/projects/open"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"name": "My Project"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/user/projects/open' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "My Project",
"description": "A sample project",
"status": "Active",
"fps": 24.0,
"ratio": "16:9",
"resolution": "1920x1080",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]